---
id: telemetry-log-list
title: List logs
description: >-
  Fetch application or scaling logs. Dates accept ISO-8601 UTC or Unix timestamp
  in milliseconds.
sidebar_label: List logs
hide_title: true
hide_table_of_contents: true
api: >-
  eJztWNtu2zgQ/RWCTy0g25LbZhMB+1A0zSKLLLZoXGzR1AgYaSKzpUiFpNIYhv59MdTFki3LqQ1sX/bJtkzNHJ4znAtXNAYTaZ5ZriQN6QXYaEFYlgkeMXxGlCYmYoLLhAiVmDE5ZxYMYVEEmSWX13+PTk/8gHyavcOlnyR/IpanYCxLM8IlSbkQ3ECkZGzG1KMqA+0sX8Y0pBYEpGD1MhQqCQU3lnrUssTQ8IZeqcTQuUczplkKFjQ+XVGOQDNmF9SjkqVAQ9oCfBlTj5poASmj4YraZYYLuLSQgKaFRzU85FxDTEOrc/A2CJgtoLP9y3MEDU8szQTQMCi8CsBDDnq5RuD89Dg2VnOZoAmZp7iplnG33lFL53uBXamEoM0OnI61XdBMpPqx9ZJyz4TZcn6NJsjlOXlRLyQ/FiAdoN9bGF4+j6wYMqGWA3TtR3TuTKQg7aZENNjJBJfGMhkNCbXf82VlZMsvH52dnZ2enp7u9B8paRmXoI8C8K62soWgsT/azYEB/cgjuOW95+TZIK5LMy4mcgMxuVsSo1IgmVaPPAZturFAzWM0gOrhKDAXXFjQJGPWgpakfK/rHrRWejcplml7i3nruNAYzoYv0k1Spv50Ogqmo+nJLPDDqR++8r/sBAky/sUQp/sgCp5ye1yq+Ys98TRPiczTO9BE3RMNJhfWdFOL7+/CIOHJ3mYsgVurvoM8iq0PLOGyLATOWJea0n4x96iBKNfcLl19ugOmQb/N7YKGN3P8W4PJlDRgEMPU9/FjO7u39okHGaTFda3sOvlmcPFqe0Pq7htESHymsb5aXrrKEH6yf10pW69am2xuk1h41HLrCKn8FR69dyfS7HddFqde161D2SddcxwGIQmVXFRYCo+yR8YFuxNwuw2Qac0wjLiF1Owwusz6sVTSPcPaDhp43M9BzGy/xxSMYcn+zb+XVi9psfH0ihv7sQpKx2Ud0+2YqaIi8P2eMKiDvyN1JWbQ1a4vy4193/9C2yL2JZpyVb9uN+suolXW2xW2SUbt5N5Kog/YW9ZydbqyRs6bUpkT/+y3k1oMBPpm5L8e+cEsOAn9IAz88Zn/CrfTqIIkV9UO3w/8N/72+9Ph96e0mBdOudefP2+njHeCY/fjChtpMgyJcyBWES4fmeAx4TLLLSb6lBuDTfy6mT4q0awT502Der4Z1buD1KsK8uEHptL8A84BP3lAOqehmUDeVx1CfRjKHZSsXddZ6pGJHDpbK4OecEMaSorKxZs+2bBxAr0lG5exI18mhEnCjcmBYNVZAHn74ZIYHsP/eu3Xqwr7K5VcKJ0yu0MznPKESppmtZQvU9rWcy6Orkj+D61kQu5LYw0LN5sbopMqZ0yCCR7zKsWsPaa5sSRlOF2XxshXlw9GuPIrrY6622kKdqFwOE7A8Vg5aOu96gy8xUQoHDGNC60ybeVa0JAurM1MOJmwjI9lLkQmmEX340ilncblGgOnpLDdvjRaoKG6k8Lf5SLqVV9qsumf/8xcBeLyXjnuQZsy7oOxP/bpWsdZrSNKmCljU+ZCuOrisEI5IehGT7Zan4H/4Lai2r6FJzvJBOOu4jluV5UwmxN9uHkXgdrMPbpQxuLq1eqOGfikRVHg47J5RcVibrDC7WhF29t+8bE6zC9J+1agF+t3WK5vJ6qTQF1her6/n5r+B1DUFxEHwtga+QdcNb3Bgb42hvwBT63m40Bfm/P8gLN2e3OomM8b3IdkbN8gHIhi58Q+4PfhCDmfN/UObbrdRP4yFK3u9UAMg+P1gOe6mT7Qbd8gPeBte4Zf+53jD83R8eF5s/+atxdR3e/ITjqpkXazfYH3uAtgMZRNQrnmras+rbe3WjfcVFP2/3g/ox5l3QK8UXCd9V5kq1W5YobEFUUDtL6sKIriX4xYHDY=
sidebar_class_name: get api-method
info_path: docs/api/telemetry
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/telemetry-log-list'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List logs"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/application/{applicationId}/log"}
  context={"endpoint"}
>

</MethodEndpoint>

Fetch application or scaling logs. Dates accept ISO-8601 UTC or Unix timestamp in milliseconds.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"applicationId","schema":{"type":"integer"},"required":true,"description":"The application ID.","example":1},{"in":"query","name":"type","schema":{"type":"string","enum":["application","scaling"]},"required":true,"description":"Log type.","example":"application"},{"in":"query","name":"scope","schema":{"type":"integer"},"required":false,"description":"Scope ID (required when type=application).","example":1},{"in":"query","name":"deploy","schema":{"type":"string"},"required":false,"description":"Deployment ID.","example":"1"},{"in":"query","name":"instance","schema":{"type":"string"},"required":false,"description":"Instance ID.","example":"i-9998888"},{"in":"query","name":"container","schema":{"type":"string"},"required":false,"description":"Container ID.","example":"container-1"},{"in":"query","name":"service_id","schema":{"type":"string"},"required":false,"description":"Service ID (used by some providers).","example":"svc-1"},{"in":"query","name":"q","schema":{"type":"string"},"required":false,"description":"Filter pattern string.","example":"error"},{"in":"query","name":"start_time","schema":{"type":"string"},"required":false,"description":"ISO-8601 UTC or Unix timestamp (ms).","example":"2022-12-26T10:20:30Z"},{"in":"query","name":"end_time","schema":{"type":"string"},"required":false,"description":"ISO-8601 UTC or Unix timestamp (ms).","example":"2022-12-26T12:20:30Z"},{"in":"query","name":"limit","schema":{"type":"integer"},"required":false,"description":"Maximum number of results.","example":100},{"in":"query","name":"next_page_token","schema":{"type":"string"},"required":false,"description":"Pagination token.","example":"token"}]}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"Log results.","content":{"application/json":{"schema":{"type":"object","properties":{"paging":{"type":"object","properties":{"limit":{"type":"integer"},"next_page_token":{"type":"string"}},"title":"paging"},"filters":{"type":"object","properties":{"scope":{"type":"integer"},"start_time":{"type":"string"},"end_time":{"type":"string"}},"title":"logFilters"},"available_filters":{"type":"array","items":{"type":"string"}},"type":{"type":"string"},"results":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"date":{"type":"string"},"message":{"type":"string"}},"title":"logEntry"}}},"title":"logListResponse"},"example":{"paging":{"limit":100,"next_page_token":"token"},"filters":{"scope":1,"start_time":"2022-12-26T10:20:30.000Z","end_time":"2022-12-26T12:20:30.000Z"},"available_filters":["deploy","instance","container","limit","start_time","end_time","q"],"type":"application","results":[{"id":60976,"date":"2025-04-01T16:01:10.903Z","message":"log1"},{"id":61050,"date":"2025-04-02T16:01:10.903Z","message":"log2"}]}}}},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string"},"error":{"type":"array","items":{"type":"object","properties":{"instancePath":{"type":"string"},"message":{"type":"string"}}}}},"title":"telemetryError"},"examples":{"missingScope":{"value":{"message":"scope is required"}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string"},"error":{"type":"array","items":{"type":"object","properties":{"instancePath":{"type":"string"},"message":{"type":"string"}}}}},"title":"telemetryError"},"examples":{"invalidLogFormat":{"value":{"message":"The log provider is reporting logs in the wrong format","error":[{"instancePath":"/results/1/datetime","message":"must match format \"date-time\""}]}}}}}}}}
>

</StatusCodes>

